1. Oscar502's Avatar
    2011-02-20 12:10 AM
  2. dmklunk's Avatar
    Need a LOT more information, including...
    Firmware Version
    Computer OS and Version
    Size of iPod in GB

    If you don't know this info, or if you aren't very tech savvy, you DEFINITELY DON'T want to mess with jailbreaking.

    And do NOT hold myself or ANYONE ELSE on this forum liable if the iPod gets messed up. Jailbreak at your OWN RISK.
    2011-02-23 01:28 AM
  3. Mustmod's Avatar
    Jailbreakme.com
    2011-05-08 06:21 AM
  4. i.Annie's Avatar
    Jailbreakme is for 4.0.1 down to 3.1.x. To be specific.

    It would be wise to post the information requested by dmklunk for the best help.
    2011-05-08 06:22 AM
  5. brownan's Avatar
    try limera1n
    2011-06-09 04:49 AM
  6. bott52's Avatar
    i just got a new 2g ipod today and jailbroke it. You have to update it to its latest firmware which is 4.2.1 for ipod touch 2g then download greenpoison and follow its instructions and voila!
    2011-07-11 01:57 AM
  7. raduga's Avatar
    Really?
    I wouldn't recommend loading 4.2.1 on an iPT 2g.
    You're probably better off staying with 3.1.x- if you can. (Some newer apps won't work though).
    4.2 is a memory hog on poor little ancient machines like this.
    2011-07-13 05:25 AM
  8. i.Annie's Avatar
    It should run decently with multitasking and wallpaper disabled. I had mine on 4.2.1 like that and it was fine, surely slower than when it was on 3.1.x but the person I traded it off to I figured would prefer it on 4.2.1 bc ya don't trade an iPod nano for an iPod touch if you didn't want some app action

    Many apps nowadays really need iOS 4 and that's a bummer.
    2011-07-13 05:28 AM
  9. bott52's Avatar
    yea my ipod 2g is running just fine. i use it more than my 4g.
    2011-07-13 06:27 PM
  10. PaperTurret's Avatar
    Really?
    I wouldn't recommend loading 4.2.1 on an iPT 2g.
    You're probably better off staying with 3.1.x- if you can. (Some newer apps won't work though).
    4.2 is a memory hog on poor little ancient machines like this.
    Really? Mine has been on 4.2.1 forever, btw you said some newer apps, more like every single app on the Apple store doesnt work on a second Gen, software is to outdated.
    2013-05-28 06:51 PM
  11. John_723's Avatar
    Jailbreakme.com
    2014-01-16 06:18 AM
LINK TO POST COPIED TO CLIPBOARD